package com.yihu.wlyy.entity.doctor.profile;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 医生服务
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_service")
public class DoctorService extends IdEntity {
	private static final long serialVersionUID = -8214391612459440406L;

	// 服务标识（关联dm_service的code）
	private String service;
	// 医生标识
	private String doctor;
	// 服务LOGO http url
	private String logo;
	// 服务标题
	private String title;
	// 服务介绍
	private String content;
	// 服务访问地址
	private String url;
	// 添加时间
	private Date czrq;

	public String getService() {
		return service;
	}

	public void setService(String service) {
		this.service = service;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getLogo() {
		return logo;
	}

	public void setLogo(String logo) {
		this.logo = logo;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
